## List Webhook Configs

**get** `/api/v1/beta/webhook-configs`

List the webhook configurations for the current project, newest first.

### Query Parameters

- `organization_id: optional string`

- `project_id: optional string`

### Cookie Parameters

- `session: optional string`

### Returns

- `id: string`

  Unique identifier for the webhook configuration.

- `has_secret: boolean`

  Whether a signing secret is configured for this endpoint.

- `tenant_id: string`

  Owner tenant ID.

- `tenant_type: "project"`

  Owner tenant type.

  - `"project"`

- `webhook_url: string`

  URL that receives webhook POST notifications.

- `created_at: optional string`

  Creation datetime

- `updated_at: optional string`

  Update datetime

- `webhook_events: optional array of "batch.cancelled" or "batch.error" or "batch.pending" or 30 more`

  Subscribed events (null = all events).

  - `"batch.cancelled"`

  - `"batch.error"`

  - `"batch.pending"`

  - `"batch.running"`

  - `"batch.success"`

  - `"classify.cancelled"`

  - `"classify.error"`

  - `"classify.partial_success"`

  - `"classify.pending"`

  - `"classify.running"`

  - `"classify.success"`

  - `"extract.cancelled"`

  - `"extract.error"`

  - `"extract.partial_success"`

  - `"extract.pending"`

  - `"extract.success"`

  - `"parse.cancelled"`

  - `"parse.error"`

  - `"parse.partial_success"`

  - `"parse.pending"`

  - `"parse.running"`

  - `"parse.success"`

  - `"sheets.cancelled"`

  - `"sheets.error"`

  - `"sheets.partial_success"`

  - `"sheets.pending"`

  - `"sheets.success"`

  - `"split.cancelled"`

  - `"split.error"`

  - `"split.pending"`

  - `"split.processing"`

  - `"split.success"`

  - `"unmapped_event"`

- `webhook_headers: optional map[string]`

  Custom HTTP headers sent with each request.

- `webhook_output_format: optional "json" or "string"`

  Response format sent to the webhook.

  - `"json"`

  - `"string"`

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v1/beta/webhook-configs \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
[
  {
    "id": "id",
    "has_secret": true,
    "tenant_id": "tenant_id",
    "tenant_type": "project",
    "webhook_url": "webhook_url",
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "webhook_events": [
      "batch.cancelled"
    ],
    "webhook_headers": {
      "foo": "string"
    },
    "webhook_output_format": "json"
  }
]
```
